This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014336 - Review Request: python-halite - Web GUI for SaltStack
Review Request: python-halite - Web GUI for SaltStack
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 14:24 EDT by Erik Johnson
Modified: 2013-10-21 17:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 17:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik Johnson 2013-10-01 14:24:56 EDT
Spec URL: https://www.dropbox.com/s/dyrl1jkyiwhhzxj/python-halite.spec
SRPM URL: https://www.dropbox.com/s/4shqedab21j894f/python-halite-0.1.01-1.el6.src.rpm

Description: salt-0.17.0 is going through the process of being entered into testing, and this package will provide the optional web GUI that was added in salt-0.17.0.

Note that this project is under the Apache 2.0 license. Please let me know if I need to distribute a LICENSE file with this package. One does not currently exist for this project but it would be easy to create one.

Fedora Account System Username: terminalmage
Comment 1 Mario Blättermann 2013-10-01 16:11:51 EDT
(In reply to Erik Johnson from comment #0)
> Note that this project is under the Apache 2.0 license. Please let me know
> if I need to distribute a LICENSE file with this package. One does not
> currently exist for this project but it would be easy to create one.

There are guidelines for:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
As far as I know, in the case of ASL the upstream projects are not forced to ship license texts, but you should ask them anyway to provide such a text in future releases.
Comment 2 Erik Johnson 2013-10-01 16:19:00 EDT
(In reply to Mario Blättermann from comment #1)
> (In reply to Erik Johnson from comment #0)
> > Note that this project is under the Apache 2.0 license. Please let me know
> > if I need to distribute a LICENSE file with this package. One does not
> > currently exist for this project but it would be easy to create one.
> 
> There are guidelines for:
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
> As far as I know, in the case of ASL the upstream projects are not forced to
> ship license texts, but you should ask them anyway to provide such a text in
> future releases.

Yes. It turns out that, upon further investigation, there is a LICENSE file in the upstream git repo. So, I'm working with the Halite maintainer to make sure that this file makes it into the sdist for future releases.
Comment 3 Mario Blättermann 2013-10-01 16:26:26 EDT
(In reply to Erik Johnson from comment #2)
> ... there is a LICENSE file
> in the upstream git repo. So, I'm working with the Halite maintainer to make
> sure that this file makes it into the sdist for future releases.

If it is already in their Git, you should add it as Source1 for the time being. Once it is shipped in a future release, you can remove the second source again.
Comment 4 Erik Johnson 2013-10-01 16:52:44 EDT
(In reply to Mario Blättermann from comment #3)
> (In reply to Erik Johnson from comment #2)
> > ... there is a LICENSE file
> > in the upstream git repo. So, I'm working with the Halite maintainer to make
> > sure that this file makes it into the sdist for future releases.
> 
> If it is already in their Git, you should add it as Source1 for the time
> being. Once it is shipped in a future release, you can remove the second
> source again.

OK, I've done this and updated the spec and SRPM. If you visit the links in the initial post, you can see the new versions. Thanks for the recommendation!
Comment 5 Mario Blättermann 2013-10-02 15:27:05 EDT
First, I'm not really satisfied with the behavior of your download links. Reviewers should be able to simply right-click on a link to save its target. Dropbox allows this actually, but it seems you've copied the file link from your browser's address bar. This doesn't point to the file itself, rather to a website where I have to click on a button to download it. To avoid this, open your Dropbox in the browser, select the desired file and click on "Copy public link" (sorry, could be some different, I'm using Dropbox in German). Even the available file manager plugins for Nautilus, Dolphin etc. should have such an option.

Scratch build::
http://koji.fedoraproject.org/koji/taskinfo?taskID=6017702

$ rpmlint -i -v *
python-halite.src: I: checking
python-halite.src: W: spelling-error %description -l en_US pre -> per, ore, pee
The value of this tag appears to be misspelled. Please double-check.

python-halite.src: W: spelling-error %description -l en_US devel -> delve, devil, revel
The value of this tag appears to be misspelled. Please double-check.

python-halite.src: I: checking-url https://github.com/saltstack/halite/ (timeout 10 seconds)
python-halite.src:51: E: use-of-RPM_SOURCE_DIR
You use $RPM_SOURCE_DIR or %{_sourcedir} in your spec file. If you have to use
a directory for building, use $RPM_BUILD_ROOT instead.

python-halite.src:23: W: mixed-use-of-spaces-and-tabs (spaces: line 23, tab: line 11)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

python-halite.src: I: checking-url https://github.com/saltstack/halite/blob/v${version}/LICENSE (timeout 10 seconds)
python-halite.src: W: invalid-url Source1: https://github.com/saltstack/halite/blob/v${version}/LICENSE HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-halite.src: I: checking-url https://pypi.python.org/packages/source/h/halite/halite-0.1.01.tar.gz (timeout 10 seconds)
python-halite.noarch: I: checking
python-halite.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
The value of this tag appears to be misspelled. Please double-check.

python-halite.noarch: W: spelling-error %description -l en_US devel -> delve, devil, revel
The value of this tag appears to be misspelled. Please double-check.

python-halite.noarch: I: checking-url https://github.com/saltstack/halite/ (timeout 10 seconds)
python-halite.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/halite/bottle.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-halite.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/halite/server_bottle.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-halite.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/halite/genindex.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

python-halite.spec:51: E: use-of-RPM_SOURCE_DIR
You use $RPM_SOURCE_DIR or %{_sourcedir} in your spec file. If you have to use
a directory for building, use $RPM_BUILD_ROOT instead.

python-halite.spec:23: W: mixed-use-of-spaces-and-tabs (spaces: line 23, tab: line 11)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

python-halite.spec: I: checking-url https://github.com/saltstack/halite/blob/v${version}/LICENSE (timeout 10 seconds)
python-halite.spec: W: invalid-url Source1: https://github.com/saltstack/halite/blob/v${version}/LICENSE HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-halite.spec: I: checking-url https://pypi.python.org/packages/source/h/halite/halite-0.1.01.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 5 errors, 8 warnings.


Some of the issues need to be fixed or investigated:

I don't know why $RPM_SOURCE_DIR is not allowed, but I assume there are good reasons for. It is unusual at least, never seen this before in a spec file. Just use %RPM_BUILD_ROOT instead.

There are some scripts which have a shebang, but are not executable. Scripts in %{python_sitelib} don't need a shebang. Please remove them.

Don't mix spaces and tabs. I recommend spaces, because this way the spec file looks the same in any text editor, independent from the configured tab width.

The download location for the license file is not available, please investigate.


%if 0%{?fedora} >= 8
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif

First, we don't need any definitions which refer to Fedora 7 and earlier. Well, you could apply this condition to EPEL 5 which is based on FC6. Besides that, python-setuptools-devel is virtually provided by python-setuptools. As far as I can see, this definition can be omitted.


Consider to use %global instead of %define. See https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#.25global_preferred_over_.25define for more information.


Last but not least, please get rid of the spec parts which are only needed for EPEl 5 once your package will be imported into EPEL >= 6 and Fedora:

* BuildRoot definition
* The header which defines python_sitelib
* Initial cleaning of buildroot in %install
* The %clean section
* %defattr line in %files
Comment 6 Erik Johnson 2013-10-02 17:44:27 EDT
(In reply to Mario Blättermann from comment #5)
> First, I'm not really satisfied with the behavior of your download links.
> Reviewers should be able to simply right-click on a link to save its target.
> Dropbox allows this actually, but it seems you've copied the file link from
> your browser's address bar. This doesn't point to the file itself, rather to
> a website where I have to click on a button to download it. To avoid this,
> open your Dropbox in the browser, select the desired file and click on "Copy
> public link" (sorry, could be some different, I'm using Dropbox in German).
> Even the available file manager plugins for Nautilus, Dolphin etc. should
> have such an option.
> 

Well, I do not use a file manager, and Dropbox has long since gotten rid of the "get public link" option. The only option now is a "share link" option, which provides the URLs I specified.

However, I did some digging and the the public direct links are available if you right-click the "Download" button on the links I originally posted, and copy the URL. Given that knowledge, here are the public download links:

Spec URL: https://dl.dropboxusercontent.com/s/dyrl1jkyiwhhzxj/python-halite.spec
SRPM URL: https://dl.dropboxusercontent.com/s/4shqedab21j894f/python-halite-0.1.01-1.el6.src.rpm


> 
> Some of the issues need to be fixed or investigated:
> 
> I don't know why $RPM_SOURCE_DIR is not allowed, but I assume there are good
> reasons for. It is unusual at least, never seen this before in a spec file.
> Just use %RPM_BUILD_ROOT instead.
> 

This has been replaced.

> There are some scripts which have a shebang, but are not executable. Scripts
> in %{python_sitelib} don't need a shebang. Please remove them.
> 

Done. And I've notified upstream about this as well, thanks.

> Don't mix spaces and tabs. I recommend spaces, because this way the spec
> file looks the same in any text editor, independent from the configured tab
> width.
> 

Fixed.

> The download location for the license file is not available, please
> investigate.
> 

I used ${version} instead of %{version}. In addition, I should have used the "raw.github.com" link to get the raw text, so I fixed that as well.

> 
> %if 0%{?fedora} >= 8
> BuildRequires:  python-setuptools-devel
> %else
> BuildRequires:  python-setuptools
> %endif
> 
> First, we don't need any definitions which refer to Fedora 7 and earlier.
> Well, you could apply this condition to EPEL 5 which is based on FC6.
> Besides that, python-setuptools-devel is virtually provided by
> python-setuptools. As far as I can see, this definition can be omitted.
> 
> 

Removed, thanks.

> Consider to use %global instead of %define. See
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#.
> 25global_preferred_over_.25define for more information.
> 

Fixed.

> 
> Last but not least, please get rid of the spec parts which are only needed
> for EPEl 5 once your package will be imported into EPEL >= 6 and Fedora:
> 
> * BuildRoot definition
> * The header which defines python_sitelib
> * Initial cleaning of buildroot in %install
> * The %clean section
> * %defattr line in %files

I'm sorry, but I had trouble understanding what you meant here. Do you mean that these parts are not needed anymore? Or that they should be enclosed within %if blocks like so:

%if ! (0%{?rhel} >= 6 || 0%{?fedora} > 12)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
Comment 7 Erik Johnson 2013-10-02 18:08:52 EDT
I just heard back from upstream that two of the scripts that are installed within site-packages/halite/ do need to be executed as shell commands, and I've thus added the execute bit to them. The direct links I posted in my previous message, copied below for convenience, contain the updated spec and SRPM.

Spec URL: https://dl.dropboxusercontent.com/s/dyrl1jkyiwhhzxj/python-halite.spec
SRPM URL: https://dl.dropboxusercontent.com/s/4shqedab21j894f/python-halite-0.1.01-1.el6.src.rpm
Comment 8 Mario Blättermann 2013-10-04 08:40:29 EDT
(In reply to Erik Johnson from comment #6)
> (In reply to Mario Blättermann from comment #5)
> > Last but not least, please get rid of the spec parts which are only needed
> > for EPEl 5 once your package will be imported into EPEL >= 6 and Fedora:
> > 
> > * BuildRoot definition
> > * The header which defines python_sitelib
> > * Initial cleaning of buildroot in %install
> > * The %clean section
> > * %defattr line in %files
> 
> I'm sorry, but I had trouble understanding what you meant here. Do you mean
> that these parts are not needed anymore? Or that they should be enclosed
> within %if blocks like so:
> 
> %if ! (0%{?rhel} >= 6 || 0%{?fedora} > 12)
> BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> %endif

Indeed, all these things are only needed for EPEL 5. For EPEL >= 6 and all currently supported Fedora versions, they are useless, because rpm defaults to them anyway. But this is a post-review task. Well, I know about a lot of packages which are in Fedora for a long time and entrain all this useless things also in newer branches and even in Rawhide. Without them, the spec file would become much better readable and understandable for unexperienced packagers. If you mean it is too much work to maintain different spec files for different Git branches, you could set conditions, but this also doesn't make sense. Keep in mind, due to the age of EPEL5, we still need such special things therefore, but after EPEL5 becomes EOL in 2017, they become obsolete generally. Be future-proof and follow my proposal.

BTW, if you don't plan to maintain your package for EPEL 5 at all, you can drop the mentioned parts anyway.
Comment 9 Erik Johnson 2013-10-04 09:51:14 EDT
(In reply to Mario Blättermann from comment #8)
> Indeed, all these things are only needed for EPEL 5. For EPEL >= 6 and all
> currently supported Fedora versions, they are useless, because rpm defaults
> to them anyway. But this is a post-review task. Well, I know about a lot of
> packages which are in Fedora for a long time and entrain all this useless
> things also in newer branches and even in Rawhide. Without them, the spec
> file would become much better readable and understandable for unexperienced
> packagers. If you mean it is too much work to maintain different spec files
> for different Git branches, you could set conditions, but this also doesn't
> make sense. Keep in mind, due to the age of EPEL5, we still need such
> special things therefore, but after EPEL5 becomes EOL in 2017, they become
> obsolete generally. Be future-proof and follow my proposal.
> 
> BTW, if you don't plan to maintain your package for EPEL 5 at all, you can
> drop the mentioned parts anyway.

OK, I understand now, thanks. Because we keep the spec files in source control, I think I might just use the conditionals to simplify things in case we get anyone else to be co-maintainer, so there is less to explain to the co-maintainer.

Are there any additional concerns that you have after my recent edits?
Comment 10 Mario Blättermann 2013-10-04 16:30:54 EDT
(In reply to Erik Johnson from comment #9)
> OK, I understand now, thanks. Because we keep the spec files in source
> control, I think I might just use the conditionals to simplify things in
> case we get anyone else to be co-maintainer, so there is less to explain to
> the co-maintainer.

BTW, we keep all our spec files in source control, in our Fedora Git repo ;) Probably you mean Github or anything else. It's the same thing actually. And Git has *branches*! This is what we need. If you really want to get rid of all the obsolete garbage - which becomes obsolete-obsolete once EPEL5 becomes EOL - then fork a branch named "epel5" and remove all the useless stuff from the other branches. It's sometimes hard for me to review such a package which is overloaded with conditions and even more conditions.

I will do the review, but be patient, will probably need some days.

(In reply to Erik Johnson from comment #6)
> However, I did some digging and the the public direct links are available if
> you right-click the "Download" button on the links I originally posted, and
> copy the URL. Given that knowledge, here are the public download links:
> 
> Spec URL:
> https://dl.dropboxusercontent.com/s/dyrl1jkyiwhhzxj/python-halite.spec
> SRPM URL:
> https://dl.dropboxusercontent.com/s/4shqedab21j894f/python-halite-0.1.01-1.
> el6.src.rpm

This works now as I expect. Moreover, a lot of reviewers prefer the fedora-review tool, and this works only with links which can be fetched directly with wget or curl (the same behavior as with a right-click and "Save target as").
Comment 11 Erik Johnson 2013-10-04 16:40:12 EDT
(In reply to Mario Blättermann from comment #10)
> BTW, we keep all our spec files in source control, in our Fedora Git repo ;)

Yes, I'm aware.

> Probably you mean Github or anything else. It's the same thing actually. And
> Git has *branches*! This is what we need. If you really want to get rid of
> all the obsolete garbage - which becomes obsolete-obsolete once EPEL5
> becomes EOL - then fork a branch named "epel5" and remove all the useless
> stuff from the other branches. It's sometimes hard for me to review such a
> package which is overloaded with conditions and even more conditions.
> 

Well, in our repo on github, we keep the spec files in the development branch of the same repo containing our python module, and we don't maintain separate branches for the different Fedora/EPEL versions, because it would frankly be silly to do so. In order to maintain things in a more readable way, it may be a reasonable compromise to maintain an EL6 and a non-EL6 spec on Github.

> I will do the review, but be patient, will probably need some days.
>

No problem, thanks for your time and for the recommendations, this is my first package submission and it has been a great learning experience.
 
> (In reply to Erik Johnson from comment #6)
> > However, I did some digging and the the public direct links are available if
> > you right-click the "Download" button on the links I originally posted, and
> > copy the URL. Given that knowledge, here are the public download links:
> > 
> > Spec URL:
> > https://dl.dropboxusercontent.com/s/dyrl1jkyiwhhzxj/python-halite.spec
> > SRPM URL:
> > https://dl.dropboxusercontent.com/s/4shqedab21j894f/python-halite-0.1.01-1.
> > el6.src.rpm
> 
> This works now as I expect. Moreover, a lot of reviewers prefer the
> fedora-review tool, and this works only with links which can be fetched
> directly with wget or curl (the same behavior as with a right-click and
> "Save target as").

Ahh, I see. Thanks for the info! And thanks for pressing me on this point, as I would otherwise not have known that Dropbox still provides actual direct links to shared files.
Comment 12 Mario Blättermann 2013-10-04 16:53:01 EDT
(In reply to Erik Johnson from comment #11)
> No problem, thanks for your time and for the recommendations, this is my
> first package submission and it has been a great learning experience.
>  
Ah, OK. You need a sponsor if you're not in the package maintainers group yet, that's why I set the FE-NEEDSPONSOR blocker. I can sponsor you, but first read the following:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join
It is needed you do some informal reviews, so read also this:
http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
For examples have a look at my completed reviews:
https://bugzilla.redhat.com/buglist.cgi?resolution=CURRENTRELEASE&resolution=RAWHIDE&resolution=ERRATA&resolution=NEXTRELEASE&resolution=---&classification=Fedora&emailtype1=substring&query_format=advanced&emailassigned_to1=1&bug_status=ON_QA&bug_status=CLOSED&email1=mario.blaettermann@gmail.com&component=Package%20Review&product=Fedora&list_id=1527396
Comment 13 Erik Johnson 2013-10-04 17:04:40 EDT
(In reply to Mario Blättermann from comment #12)
> (In reply to Erik Johnson from comment #11)
> > No problem, thanks for your time and for the recommendations, this is my
> > first package submission and it has been a great learning experience.
> >  
> Ah, OK. You need a sponsor if you're not in the package maintainers group
> yet, that's why I set the FE-NEEDSPONSOR blocker. I can sponsor you, but
> first read the following:
> https://fedoraproject.org/wiki/
> Join_the_package_collection_maintainers?rd=PackageMaintainers/Join
> It is needed you do some informal reviews, so read also this:
> http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
> For examples have a look at my completed reviews:
> https://bugzilla.redhat.com/buglist.
> cgi?resolution=CURRENTRELEASE&resolution=RAWHIDE&resolution=ERRATA&resolution
> =NEXTRELEASE&resolution=---
> &classification=Fedora&emailtype1=substring&query_format=advanced&emailassign
> ed_to1=1&bug_status=ON_QA&bug_status=CLOSED&email1=mario.blaettermann@gmail.
> com&component=Package%20Review&product=Fedora&list_id=1527396

Ahh, thanks for that. I'm already co-maintainer for a package (https://koji.fedoraproject.org/koji/packageinfo?packageID=13129), so I have already got a Fedora account, etc. This is just my first submission for a new package.
Comment 14 Mario Blättermann 2013-10-05 13:03:59 EDT
(In reply to Erik Johnson from comment #13)
> Ahh, thanks for that. I'm already co-maintainer for a package
> (https://koji.fedoraproject.org/koji/packageinfo?packageID=13129), so I have
> already got a Fedora account, etc. This is just my first submission for a
> new package.

OK, lifting FE-NEEDSPONSOR again.
Comment 15 Mario Blättermann 2013-10-06 06:15:02 EDT
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6028720

$ rpmlint -i -v *
python-halite.src: I: checking
python-halite.src: W: spelling-error %description -l en_US pre -> per, ore, pee
The value of this tag appears to be misspelled. Please double-check.

python-halite.src: W: spelling-error %description -l en_US devel -> delve, devil, revel
The value of this tag appears to be misspelled. Please double-check.

python-halite.src: I: checking-url https://github.com/saltstack/halite/ (timeout 10 seconds)
python-halite.src: I: checking-url https://raw.github.com/saltstack/halite/v0.1.01/LICENSE (timeout 10 seconds)
python-halite.src: I: checking-url https://pypi.python.org/packages/source/h/halite/halite-0.1.01.tar.gz (timeout 10 seconds)
python-halite.noarch: I: checking
python-halite.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
The value of this tag appears to be misspelled. Please double-check.

python-halite.noarch: W: spelling-error %description -l en_US devel -> delve, devil, revel
The value of this tag appears to be misspelled. Please double-check.

python-halite.noarch: I: checking-url https://github.com/saltstack/halite/ (timeout 10 seconds)
python-halite.spec: I: checking-url https://raw.github.com/saltstack/halite/v0.1.01/LICENSE (timeout 10 seconds)
python-halite.spec: I: checking-url https://pypi.python.org/packages/source/h/halite/halite-0.1.01.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


Besides some ignorable spelling errors, no issues from rpmlint.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    ASL 2.0
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
    For the time being, the tarball doesn't contain a license file, but it is
    already in their VCS, so it has been added to the package. Will be removed
    again in future versions.

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    3bc1822db04fc6ff996f0a926d4ef41480daf364d8add84d0120bb4a090df230  halite-0.1.01.tar.gz
    3bc1822db04fc6ff996f0a926d4ef41480daf364d8add84d0120bb4a090df230  halite-0.1.01.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------


Well, your package fits now in EPEL 5. For EPEL >=6 and all currently supported Fedora versions, consider to use my spec file which is freed from all obsolete parts:
http://mariobl.fedorapeople.org/spectemplates/python-halite.spec
Comment 16 Mario Blättermann 2013-10-20 12:45:11 EDT
@Erik, what about a SCM request?
http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages
Comment 17 Erik Johnson 2013-10-20 13:21:23 EDT
@Mario: yeah, sorry, I've had a busy last couple weeks and had meant to get to this sometime this upcoming week.

New Package SCM Request
=======================
Package Name: python-halite
Short Description: Web UI for SaltStack
Owners: terminalmage
Branches: f18 f19 f20 el5 el6
InitialCC: terminalmage
Comment 18 Gwyn Ciesla 2013-10-20 21:38:24 EDT
Git done (by process-git-requests).
Comment 19 Erik Johnson 2013-10-21 17:15:40 EDT
Package built for all requested branches. Thanks again to everyone that assisted in this process.

Note You need to log in before you can comment on or make changes to this bug.